backtrace.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include "config.h"`
`#include <execinfo.h>`

## Functions

static void | _osmo_backtrace (int use_printf, int subsys, int level)
void | osmo_generate_backtrace (void)
| Generate and print a call back-trace. More...
void | osmo_log_backtrace (int subsys, int level)
| Generate and log a call back-trace. More...

## Detailed Description

Routines related to generating call back traces.

## Function Documentation

## _osmo_backtrace()

static void _osmo_backtrace | ( | int | use_printf,
|  | int | subsys,
|  | int | level
| ) |  |

static

References ARRAY_SIZE, level, LOGP, and subsys.

Referenced by osmo_generate_backtrace(), and osmo_log_backtrace().

## osmo_generate_backtrace()

void osmo_generate_backtrace | ( | void |  | ) |

Generate and print a call back-trace.

This function will generate a function call back-trace of the current process and print it to stdout.

References _osmo_backtrace().

Referenced by osmo_panic_default().

## osmo_log_backtrace()

void osmo_log_backtrace | ( | int | subsys,
|  | int | level
| ) |  |

Generate and log a call back-trace.

Parameters

  [in] | subsys | Logging sub-system
  [in] | level | Logging level

This function will generate a function call back-trace of the current process and log it to the specified subsystem and level using the libosmocore logging subsystem

References _osmo_backtrace(), level, and subsys.

Referenced by _osmo_fsm_inst_dispatch().